| Home | Libraries | People | FAQ | More

###### basic_flat_buffer::basic_flat_buffer (2 of 10 overloads)

Constructor.

###### Synopsis

    basic_flat_buffer(
        std::size_t limit);

###### Description

After construction, `capacity` will return zero, and `max_size` will return the specified value of `limit`.

###### Parameters

Name | Description
--- | ---
`limit` | The desired maximum size.